<?php

namespace App\Domains\Auth\Controllers;

use App\Domains\Auth\Services\GoogleAuthService;
use App\Http\Controllers\Controller;
use Illuminate\Http\RedirectResponse;
use Illuminate\Http\Request;

class GoogleAuthController extends Controller
{
    public function __construct(private readonly GoogleAuthService $googleAuthService) {}

    public function redirect(Request $request): RedirectResponse
    {
        return $this->googleAuthService->redirect($request);
    }

    public function callback(Request $request): RedirectResponse
    {
        return $this->googleAuthService->callback($request);
    }
}
